Description

Implementation of unleich-cli, a service that let users setup their reverse dns

History

#1 - 05/09/2019 06:18 PM - William Colmenares
- Project changed from 2 to Open Infrastructure
William Colmenares wrote:

Implementation of unleich-cli, a service that let users setup their reverse dns

Create a service that commits/push the a file to dot-cdist/files/dns/zones in order to set up the reverse dns of the users
the service will consist of a command which requires a command similar to:

ungleich-cli dns --set-reverse <ip> --user <username> --email <email> --token <otp token> --name mirror.example.com
which will create a file with the necessary content and push it to the zones directory.

#2 - 05/16/2019 09:50 PM - William Colmenares

- Status changed from New to Feedback

Currently deployed in my dev machine

https://dev.william.ungleich.cloud

#3 - 05/18/2019 06:43 PM - William Colmenares
HOW TO:

In order to let users set up their reversedns it is required a valid ungleich account, you can register at https://account.ungleich.ch/register/

After the registration, you need a valid otp account and seed, to do this you can submit a request with curl with the following parameters

curl -d '{"username":"your_ungleich_username", "password":"********" "realm": "ungleich-user"}' -H "Content-Type: application/json" -X POST
https://account.ungleich.ch/otp/

And it will retrieve a seed (a code that you can set up in any otp app in order to generate your 6 digits otp token)
After this, you are now ready to set up your reversedns
Clone ungleich-cli and inside the folder type

python ungleich dns --set-reverse <yourvmipaddress> --user <ungleich_username> --token <otp_token> --realm ungleich-user --email <youremail>
--name mirror.example.com

If the request is successful it will return a 200 response with the reversed ip address

or it would return an authentication failed message, in case the vm-ip-username-token combination is wrong.

#4 - 06/08/2019 04:39 PM - Jason Kim
- PM Check date set to 06/08/2019
https://dev.william.ungleich.cloud
https://account.ungleich.ch/register/
https://account.ungleich.ch/otp/

#5 - 06/10/2019 03:44 PM - William Colmenares
- Due date changed from 05/10/2019 to 06/10/2019
- Status changed from Feedback to Resolved

- % Done changed from 70 to 80

Fixed verification against dynamicweb

#6 - 06/22/2019 05:31 PM - Jason Kim
- Status changed from Resolved to Closed

- PM Check date changed from 06/08/2019 to 06/22/2019
